﻿@using exam.Models.DTO
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    #form-search {
        display: flex;
        margin-bottom: 15px;
    }

        #form-search label {
            margin-right: 10px;
        }

        #form-search input {
        }

        #form-search button {
            margin-left: 10px;
        }
</style>
<strong id="notice" style="color:red;"></strong>
<section id="form-search">
    <label class="form-check-label">Enter category</label>
    <input type="text" name="textSearch" id="textSearch" autocomplete="off" class="form-control" />
    <button class="btn btn-primary" onclick="SearchCategory()">Search</button>
</section>
<section id="list-order"></section>
<section id="paging"></section>
<a asp-area="" asp-controller="Order" asp-action="CreateOrder">Create new order</a>
<script src="~/js/Services/OrderService.js" asp-append-version="true"></script>
<script>
    var currentPageGlobal = 1;
    var textSearchGlobal = "";
    var pageSizeGlobal = 5;
    var dataRes = [];
    var totalPage = 0;
    const jumpStep = 1;
    const totalValidShowFirstAndLast = 3;
    ListOrder();
    function ListOrder(textSearch = textSearchGlobal, currentPage = currentPageGlobal, pageSize = pageSizeGlobal) {
        currentPageGlobal = currentPage;
        const reqDTO = {
            textSearch: textSearch,
            pageNum: currentPage,
            pageSize: pageSize,
        };
        GetListOrder(JSON.stringify(reqDTO))
            .then((res) => {
                if (res.statusCode === "000000") {
                    dataRes = res.data.listProduct;
                    totalPage = res.data.totalPage;
                    MapData(dataRes);
                    GenPaging(currentPage, totalPage);
                } else {
                    alert(`Fail with reason: ${res.message}`);
                    $("#list-order").html("");
                }
            })
            .catch((error) => {
                if (error.status === 401) {
                    window.location.href = getRouting("login");
                }
            });
    }
</script>